var TvShowParser2 = Class.create();

// Parses a dataproxy.pommepause.com response
TvShowParser2.prototype =
{
initialize: function(xml)
{
	this.serieXML = xml.getElementsByTagName("serie")[0];
},

// The show title
showTitle: function()
{
	var title_tag = findChild(this.serieXML, "show_title");
	
	if (title_tag != null) {
		var show_title = title_tag.childNodes[0].nodeValue;
		return show_title;
	}

    return null;
},

// The show status    
showStatus: function()
{   
	var status_tag = findChild(this.serieXML, "status");
	
	if (status_tag != null) {
		var status = status_tag.childNodes[0].nodeValue;
		if (status == 1) {
			return TvShowStatus.SeriesEnded;
		} else if (status == 2) {
		    return TvShowStatus.Normal;
		}
	}

    return TvShowStatus.Unknown;
},

// The poster URL
posterUrl: function()
{
	// @TODO

    return null;
},

// The next episode title
episodeTitle: function()
{
	var title_tag = findChild(this.serieXML, "ep_title");
	
	if (title_tag != null) {
		var ep_title = title_tag.childNodes[0].nodeValue;
		return ep_title;
	}

    return null;
},

// The next episode URL
episodeUrl: function()
{
	var url_tag = findChild(this.serieXML, "ep_url");
	
	if (url_tag != null) {
		var ep_url = url_tag.childNodes[0].nodeValue;
		return ep_url;
	}

    return null;
},

// When the show will air next
showAirsNext: function()
{
	var date_tag = findChild(this.serieXML, "ep_date");
	
	if (date_tag != null) {
		var ep_date = date_tag.childNodes[0].nodeValue;
		ep_date = /^(\d*?)-(\d*?)-(\d*?) (\d*?):(\d*)/.exec(ep_date);

	    var date = new Date();

	    date.setFullYear(ep_date[1], 
	                     ep_date[2]-1,
	                     ep_date[3]);

	    date.setHours(parseInt(ep_date[4]));
	    date.setMinutes(parseInt(ep_date[5]));
	    date.setSeconds(0);

	    return date;
	}

    return null;
},

// True if the time of day when the show will air next is known
includesTimeOfDay: function()
{
	var air_time = this.showAirsNext();
    return (air_time.getHours() != 0 || air_time.getMinutes() != 0);
}
}